Namespace
library
Image / Tag
consul:1.15.2
Content Digest
sha256:746f0873ff572501d51cd0a9849bef3b3ba8b8308d4a5fe850cb09712b565c91
Details
Created

2023-04-05 21:38:25 UTC

Size

53.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:333f5f619d7efe58316b2d71276f19d0a59bcb471f4dadaa85762b2c9e02775c - 5.01% (2.7 MB)

[#001] sha256:bf6566a12b4567db564f9ccefa1b2b956260bdfa6434af3aebc63e18ec73d9f2 - 0.0% (1.24 KB)

[#002] sha256:c54aeeb52b806f12c3014fb42c9e0d8b4eea07d122a320d586ab6a41c2d1995d - 94.98% (51.2 MB)

[#003] sha256:e49a004da8a6887dc498c65616da55ee9d58f2fcc89b8ca85eea0ddf67372d14 - 0.0% (176 Bytes)

[#004] sha256:f9a5e9b64b62d1d42540d622638324f184b555fbd13c5ad5fb7a79919949fe59 - 0.0% (154 Bytes)

[#005] sha256:6535a01cb5522906a5a7255cae41ee4f47a1f275dda3562f2b815234d9de6989 - 0.0% (1.79 KB)


History
2023-03-29 17:38:36 UTC

/bin/sh -c #(nop) ADD file:fca96dde137b6b045359aec9d24257996738ac6cb7cce9518460a66802a27bd7 in /

2023-03-29 17:38:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-04-05 21:38:14 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.2

2023-04-05 21:38:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-04-05 21:38:14 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-04-05 21:38:15 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-04-05 21:38:23 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-04-05 21:38:24 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-04-05 21:38:24 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-04-05 21:38:24 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-04-05 21:38:24 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-04-05 21:38:24 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-04-05 21:38:24 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-04-05 21:38:25 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-04-05 21:38:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-04-05 21:38:25 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-04-06 00:42:24 UTC

Size

55.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0ce1dd7918a48990ab749aab2e805c26f691a3a8103495530e7ea5a1d168af4a - 4.88% (2.7 MB)

[#001] sha256:c7eaa7623341dcdcd19667586a357f9fa1f16a516cfca1708ea42a939edd103f - 0.0% (1.24 KB)

[#002] sha256:0ab5510ca10cd210f1addfb06722800a94f5f86d8451860f4b53d5570851549b - 95.11% (52.5 MB)

[#003] sha256:0d644556841f7b410e0b46c716eb24a38c533dc437409dcc271404cf5cef2764 - 0.0% (175 Bytes)

[#004] sha256:1e8f4ec7d14f832b39d6e0040926d3dbb86418538877ad74a984e0b04e720dc6 - 0.0% (155 Bytes)

[#005] sha256:2203105424481f400c06fced45cb4377e6687d32cfe1c94f670151dc8e998c81 - 0.0% (1.79 KB)


History
2023-03-29 18:19:33 UTC

/bin/sh -c #(nop) ADD file:08ad6c1c886a26e30ae4ab103ff377ee6cfbc1be2437fa227ec28a335c63d78a in /

2023-03-29 18:19:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-04-06 00:42:15 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.2

2023-04-06 00:42:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-04-06 00:42:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-04-06 00:42:16 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-04-06 00:42:22 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-04-06 00:42:22 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-04-06 00:42:23 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-04-06 00:42:23 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-04-06 00:42:24 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-04-06 01:46:17 UTC

Size

52.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:872c99a87729fa48dce303fb615edbb1a5da837f627a0b3d28495a0400ca8335 - 4.78% (2.51 MB)

[#001] sha256:554d6678d103fac92b7ae052a06794c506e39e142eb1d08c859dd912ce2a4724 - 0.0% (1.24 KB)

[#002] sha256:6fda7c5f33231fa27fa0372ca8c2246a915e7d05fdf1f54e8d741b4bd079ffe3 - 95.21% (50 MB)

[#003] sha256:b21db51df1c7465b37c6d0648420fb876d8465d8c8d9402d1515d81dcdd721eb - 0.0% (175 Bytes)

[#004] sha256:f168e9144f500965f5f55cb93b72bf0993be48588c9381a604b449105ad4f90b - 0.0% (154 Bytes)

[#005] sha256:a556d8bf4e9d2e3340f0c77d05224bcc50035d334f16be541f7effd773d85f14 - 0.0% (1.79 KB)


History
2023-03-29 18:01:13 UTC

/bin/sh -c #(nop) ADD file:3fb55ad8134002858be264c3c2477d784e4a60f2f6501afa7cf3b10bfede51aa in /

2023-03-29 18:01:13 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-04-06 01:46:06 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.2

2023-04-06 01:46:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-04-06 01:46:07 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-04-06 01:46:07 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-04-06 01:46:15 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-04-06 01:46:16 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-04-06 01:46:17 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-04-06 01:46:17 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2023-04-05 21:39:27 UTC

Size

52.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.15.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:60a00c11adf5202a365ec8215b889c3390d67fa295ab79940e1c5dc4cbed9db1 - 4.98% (2.6 MB)

[#001] sha256:6b7c4ac647a9065ab2457edc74cf3474ff3fc0f99abb0f4bcdeedefae76d7a18 - 0.0% (1.24 KB)

[#002] sha256:4a881b25c6d47c862c7a9a94d962f5c32d09001dbf69c93a511a21967858d1e0 - 95.01% (49.5 MB)

[#003] sha256:83c0f54213a586f33bffb0129217b1880aeae49608b246c5ea3cd4d108b89afc - 0.0% (176 Bytes)

[#004] sha256:968d2f636f50783cb1a0d980fa3563f2e1968181938ef5ba0b7f3909a130cfae - 0.0% (154 Bytes)

[#005] sha256:e8e983f78d40d7e93f4db18e98a5bae1148ab5501e725f677717b95c301fbf8b - 0.0% (1.79 KB)


History
2023-03-29 17:39:22 UTC

/bin/sh -c #(nop) ADD file:4acfda16c71abce07068ed23839e9de60c1d1145ab8002b3a92c15b1e80d4356 in /

2023-03-29 17:39:23 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-04-05 21:39:19 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.15.2

2023-04-05 21:39:19 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.15.2 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2023-04-05 21:39:19 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2023-04-05 21:39:19 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2023-04-05 21:39:25 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2023-04-05 21:39:26 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2023-04-05 21:39:26 UTC

|1 CONSUL_VERSION=1.15.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2023-04-05 21:39:26 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2023-04-05 21:39:26 UTC

/bin/sh -c #(nop) EXPOSE 8300

2023-04-05 21:39:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2023-04-05 21:39:26 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2023-04-05 21:39:27 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2023-04-05 21:39:27 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-04-05 21:39:27 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]